Subject: Order # 1272886 - Really an order?
From: "Mike" <[email-masked]>
To: "Ryan Dooley" <[email-masked]>
Date: Wed, 8 Jun 2011 17:13:23 -0400

Ryan,
I listened to this call but I think Delisa was flimflammed, hoodwinked, bamboozled...shall I go on?  He was smooth but he did give 2 different zip codes when he was "ordering".  Also, the city is looking kind of suspect.  I have heard it referenced before but I am certain it is a fictitious place.  and Bubba Smith retired years ago after the Police Academy movies ended.  You be the judge.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]